
;*********************************************************************************
;* gibl.s:
;*	Generic startup after doing all the system specific stuff.
;*********************************************************************************

VERBOSE_BANNER	:=	1

;********************************************************************************
;* This file is part of gibl:							*
;*	Gordons Interactive Basic Language                                      *
;********************************************************************************
;*    A Tiny Basic for the 6502 inspired by the NIBL Tiny Basic interpreter;	*
;*    "National Industrial Basic Language" originally for the INS8060 SC/MP	*
;*    system.									*
;*										*
;*    gibl is distributed under a "Source Available" license.			*
;*	It is NOT Open source and must not be treated as such.			*
;*										*
;*    See the file LICENSE for details.						*
;*										*
;*    gibl is Copyright (c) 2023 by Gordon Henderson				*
;********************************************************************************

	.macpack	generic

	.include	"data.h"
	.include	"il.h"
	.include	"ilExec.h"
	.include	"system.h"

	.include	"gibl.h"


;********************************************************************************
;* gibl:
;*	Main GIBL entry point, Initialise variables, etc. and
;*	jump to the I.L
;********************************************************************************

gibl:

; Setup screen and say hello.
;	... possibly a bit too verbose, but RAM is cheap these days.
;	 and my aim is under 4K and we're well on-track there...

	jsr	putStr
	.byte						   12
.ifdef	VERBOSE_BANNER
	.byte						13,10
	.byte	"  ____ ___ ____  _",			13,10
	.byte	" / ___|_ _| __ )| |",			13,10
	.byte	"| |  _ | ||  _ \| |",			13,10
	.byte	"| |_| || || |_) | |___",		13,10
 	.byte	" \____|___|____/|_____|",		13,10,10
.endif
	.byte	"Gordons Interactive Basic Language",	13,10,0

; Simply initialise the IL PC so it can take over from here:

	lda	#<ilBegin
	sta	pcL
	lda	#>ilBegin
	sta	pcH

	jmp	ilExec
